@import model._
@import model.forms.AssignPlayerToTeamForm
@(player: Player, allTeams: Seq[Team], form: Form[AssignPlayerToTeamForm])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html>
    <head>
    @views.html.templates._common_headers("Edit Player")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Edit @player.fullName</h3>
            <hr />
            @if(form.hasGlobalErrors) {
                @for(error <- form.globalErrors) {
                    @for(msg <- error.messages) {
                        <p class="text-danger">@msg</p>
                    }
                }
            }
            @helper.form(action = routes.AdminController.submitTeamAssignmentForm(player.id)) {
                <div class="row">
                    <div class="col-sm">
                        <label for="fake-id">ID</label>
                        <input id="fake-id" value="@player.id" readonly="readonly" class="form-control" />
                    </div>
                    <div class="col-sm">
                        <label for="fake-first-name">First Name</label>
                        <input id="fake-first-name" value="@player.firstName.getOrElse("")" class="form-control" disabled="disabled" />
                    </div>
                    <div class="col-sm">
                        <label for="fake-last-name">Last Name</label>
                        <input id="fake-last-name" value="@player.lastName" class="form-control" disabled="disabled" />
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("team")) { (id, name, value, args) =>
                        <label for="@id">Team</label>
                        <select class="custom-select" id="@id" name="@name">
                            <option value="">None</option>
                            @for(team <- allTeams) {
                                @if(value.contains(team.id.toString) || (value.isEmpty && player.team.contains(team.id))) {
                                    <option value="@team.id" selected="selected">@team.tag</option>
                                } else {
                                    <option value="@team.id">@team.tag</option>
                                }
                            }
                        </select>
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("startSeason")) { (id, name, value, args) =>
                        <label for="@id">Start Season</label>
                        <input type="number" class="form-control" name="@name" value="@value" id="@id"/>
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("startSession")) { (id, name, value, args) =>
                        <label for="@id">Start Session</label>
                        <input type="number" class="form-control" name="@name" value="@value" id="@id"/>
                    }
                    </div>
                </div>
                <div class="row">
                    <button class="btn btn-warning my-3" type="submit">Submit</button>
                </div>
            }
        </div>
    </body>
</html>
